# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-06-09 05:49
from __future__ import unicode_literals

import blog.models
from django.db import migrations
import wagtail.core.blocks
import wagtail.core.fields
import wagtail.embeds.blocks
import wagtail.images.blocks


class Migration(migrations.Migration):

    dependencies = [
        ('blog', '0006_auto_20170608_2244'),
    ]

    operations = [
        migrations.AlterField(
            model_name='blogpage',
            name='intro',
            field=wagtail.core.fields.StreamField([(b'h2', wagtail.core.blocks.CharBlock(icon=b'title')), (b'h3', wagtail.core.blocks.CharBlock(icon=b'title')), (b'paragraph', wagtail.core.blocks.RichTextBlock(icon=b'pilcrow')), (b'image', wagtail.core.blocks.StructBlock([(b'image', wagtail.images.blocks.ImageChooserBlock()), (b'alignment', blog.models.ImageFormatBlock()), (b'caption', wagtail.core.blocks.RichTextBlock(required=False))], icon=b'image', label='Aligned image')), (b'video', wagtail.core.blocks.StructBlock([(b'video_link', wagtail.embeds.blocks.EmbedBlock())], icon=b'media', label='Embedded video')), (b'pullquote', wagtail.core.blocks.StructBlock([(b'quote', wagtail.core.blocks.TextBlock(label='Quote title')), (b'attribution', wagtail.core.blocks.CharBlock())], icon=b'openquote', label='Quote'))], null=True),
        ),
    ]
